noinst_LIBRARIES = libopenspeak.a
INCLUDES = -Iinclude -Iinclude/tinyxml
libopenspeak_a_SOURCES = src/tinyxml/tinyxml.cpp \
			src/tinyxml/tinyxmlerror.cpp \
			src/tinyxml/tinyxmlparser.cpp \
			src/Clock.cpp \
			src/CmdLineParser.cpp \
			src/CommonTimer.cpp \
			src/Config.cpp \
			src/Hash.cpp \
			src/Log.cpp \
			src/StringUtils.cpp \
			src/UDPConnection.cpp \
			src/sha2.cpp

noinst_HEADERS = include/Clock.h \
                include/CmdLineParser.h \
                include/CommonTimer.h \
                include/Config.h \
                include/Exception.h \
                include/Hash.h \
                include/Listener.h \
                include/Log.h \
                include/Observer.h \
                include/OutStream.h \
                include/Platform.h \
                include/Singleton.h \
                include/StringUtils.h \
                include/UDPConnection.h \
                include/UDPPacketEnum.h \
                include/osLib.h \
                include/sha2.h \
                include/tinyxml/tinyxml.h
